import request from '@/utils/request'

// 查询科室信息管理列表
export function listHospitalDepartment(query) {
    return request({
        url: '/system/hospitalDepartment/list',
        
        method: 'get',
        params: query
    })
}

export function list(query) {
    return request({
        url: '/system/hospital/list',
        method: 'get',
        params: query
    })
}

// 查询科室信息管理详细
export function getHospitalDepartment(id) {
    return request({
        url: '/system/hospitalDepartment/' + id,
        method: 'get'
    })
}

// 新增科室信息管理
export function addHospitalDepartment(data) {
    return request({
        url: '/system/hospitalDepartment/add',
        method: 'post',
        data: data
    })
}

// 修改科室信息管理
export function updateHospitalDepartment(data) {
    return request({
        url: '/system/hospitalDepartment/edit',
        method: 'post',
        data: data
    })
}

// 删除科室信息管理
export function delHospitalDepartment(id) {
    return request({
        url: '/system/hospitalDepartment/' + id,
        method: 'delete'
    })
}
